%define upstream_name    Text-Handlebars
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Http://handlebarsjs.com/ for Text::Xslate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Mouse)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Text::Xslate) >= 2.0.0
BuildRequires: perl(Text::Xslate::Compiler)
BuildRequires: perl(Text::Xslate::Parser)
BuildRequires: perl(Text::Xslate::Symbol)
BuildRequires: perl(Text::Xslate::Util)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module subclasses the Text::Xslate manpage to provide a parser for
http://handlebarsjs.com/ templates. In most ways, this module functions
identically to Text::Xslate, except that it parses Handlebars templates
instead.

Text::Handlebars accepts an additional constructor parameter of 'helpers'
to define Handlebars-style helper functions. Standard helpers are identical
to functions defined with the 'function' parameter, except that they
receive the current context implicitly as the first parameter (since perl
doesn't have an implicit 'this' parameter). Block helpers also receive the
context as the first parameter, and they also receive the 'options'
parameter as a hashref. As an example:

  sub {
      my ($context, $items, $options) = @_;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-4.mga8
+ Revision: 1497691
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-3.mga7
+ Revision: 1272041
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-2.mga6
+ Revision: 1034922
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 1002321
- update to 0.05

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-4.mga6
+ Revision: 945027
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 742850
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 686627
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.40.0-1.mga5
+ Revision: 620790
- update to 0.04

* Mon Oct 21 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 537503
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 487113
- update to 0.03

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 374096
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 303898
- imported package perl-Text-Handlebars


* Tue Oct 09 2012 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
